LibreOffice LibreOffice 6.2 SDK API Reference

Public Member Functions | List of all members
XModuleTypeDescription Interface Referencepublished

Reflects a module. More...

`import"XModuleTypeDescription.idl";`

Inheritance diagram for XModuleTypeDescription:

## Public Member Functions
sequence< XTypeDescription > | getMembers ()
| Returns the type descriptions for the members of this module. More...
Public Member Functions inherited from XTypeDescription
com::sun::star::uno::TypeClass | getTypeClass ()
| Returns the type class of the reflected UNOIDL entity. More...
string | getName ()
| Returns the fully qualified name of the UNOIDL entity. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Reflects a module.

The type class of this type is com::sun::star::uno::TypeClass::MODULE.

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ getMembers()

sequence< XTypeDescription > getMembers | ( |  | ) |

Returns the type descriptions for the members of this module.

Returns
  a sequence containing type descriptions.

The documentation for this interface was generated from the following file:

- com/sun/star/reflection/XModuleTypeDescription.idl